Index: emailtotracscript/trunk/ChangeLog
===================================================================
--- emailtotracscript/trunk/ChangeLog	(revision 16)
+++ emailtotracscript/trunk/ChangeLog	(revision 16)
@@ -0,0 +1,67 @@
+2006-01-04  Bas van der Vlies <basv@sara.nl>:
+
+	* Fixed getopt for -f option
+	* Added suppport for different TRAC versions (0.8 and 0.9)
+
+2006-01-03  Michel Jouvin  <jouvin@lal.in2p3.fr>
+
+	* email2trac.py (ReadConfig) : allow project name relative to project root in configuration file
+	
+	* email2trac.py (TicketEmailParser.parse): save entire email for debugging only if debug >= 2
+
+	* run_email2trac.c: pass wrapper arguments to Python script, filtering out --file 
+
+	* email2trac.py (TicketEmailParser.debug_attachments): set tmp file created for debugging writable by anybody (to avoid problem if the script is run with a different uid during tests)
+
+	* email2trac.py (TicketEmailParser.parse): set tmp file created for debugging writable by anybody (to avoid problem if the script is run with a different uid during tests)
+
+2005-12-22  Michel Jouvin  <jouvin@lal.in2p3.fr>
+
+	* Makefile: add a Makefile to build and install email2trac
+
+	* email2trac.py: migrate to Trac 0.9 API
+
+2005-12-21  Michel Jouvin  <jouvin@lal.in2p3.fr>
+
+	* run_email2trac.c: add error messages if DEBUG macro defined
+
+	* run_email2trac.c: add error testing and specific return values for each error
+
+	* run_email2trac.c: Move site specific paramaters to run_email2trac.h
+
+	* run_email2trac.h: include file to define site specific paramaters
+
+0.2.4 01/11/2005
+	Added email_header option if set then show TO/CC fields in
+	description of the ticket.
+
+	Fixed an error in the mailto URL. This was an old error that 
+	supposed to be fixed but reoccured in this version.
+	
+0.2.3 31/10/2005
+	Fixed a bug with base64 encoded attachments/emails
+	Fixed by: Walter de Jong
+
+0.2.2 10/10/2005
+	according to RFC 2368 (titled "the mailto URL scheme") the mailto
+	URL can only work with short &body messages. It fails with long
+	messages and the link won't work. Therefore the mail body is
+	no longer copied into the mail reply.
+
+0.2.1 10/07/2005
+	body of reply email looks better
+
+
+0.2   10/07/2005
+	mailto is replaced by a html mailto to line. If 
+	you reply to the ticket via this link then an 
+	email client is started with some default values:
+		To: <reporter>
+		Subject: Re: <orginal subject>
+		Body: email_comment <orginal text>
+
+	email2trac.conf:
+		email_comment: # (default:  >)
+
+		
+
Index: emailtotracscript/trunk/Changelog
===================================================================
--- emailtotracscript/trunk/Changelog	(revision 13)
+++ 	(revision )
@@ -1,67 +1,0 @@
-2006-01-04  Bas van der Vlies <basv@sara.nl>:
-
-	* Fixed getopt for -f option
-	* Added suppport for different TRAC versions (0.8 and 0.9)
-
-2006-01-03  Michel Jouvin  <jouvin@lal.in2p3.fr>
-
-	* email2trac.py (ReadConfig) : allow project name relative to project root in configuration file
-	
-	* email2trac.py (TicketEmailParser.parse): save entire email for debugging only if debug >= 2
-
-	* run_email2trac.c: pass wrapper arguments to Python script, filtering out --file 
-
-	* email2trac.py (TicketEmailParser.debug_attachments): set tmp file created for debugging writable by anybody (to avoid problem if the script is run with a different uid during tests)
-
-	* email2trac.py (TicketEmailParser.parse): set tmp file created for debugging writable by anybody (to avoid problem if the script is run with a different uid during tests)
-
-2005-12-22  Michel Jouvin  <jouvin@lal.in2p3.fr>
-
-	* Makefile: add a Makefile to build and install email2trac
-
-	* email2trac.py: migrate to Trac 0.9 API
-
-2005-12-21  Michel Jouvin  <jouvin@lal.in2p3.fr>
-
-	* run_email2trac.c: add error messages if DEBUG macro defined
-
-	* run_email2trac.c: add error testing and specific return values for each error
-
-	* run_email2trac.c: Move site specific paramaters to run_email2trac.h
-
-	* run_email2trac.h: include file to define site specific paramaters
-
-0.2.4 01/11/2005
-	Added email_header option if set then show TO/CC fields in
-	description of the ticket.
-
-	Fixed an error in the mailto URL. This was an old error that 
-	supposed to be fixed but reoccured in this version.
-	
-0.2.3 31/10/2005
-	Fixed a bug with base64 encoded attachments/emails
-	Fixed by: Walter de Jong
-
-0.2.2 10/10/2005
-	according to RFC 2368 (titled "the mailto URL scheme") the mailto
-	URL can only work with short &body messages. It fails with long
-	messages and the link won't work. Therefore the mail body is
-	no longer copied into the mail reply.
-
-0.2.1 10/07/2005
-	body of reply email looks better
-
-
-0.2   10/07/2005
-	mailto is replaced by a html mailto to line. If 
-	you reply to the ticket via this link then an 
-	email client is started with some default values:
-		To: <reporter>
-		Subject: Re: <orginal subject>
-		Body: email_comment <orginal text>
-
-	email2trac.conf:
-		email_comment: # (default:  >)
-
-		
-
Index: emailtotracscript/trunk/INSTALL
===================================================================
--- emailtotracscript/trunk/INSTALL	(revision 13)
+++ emailtotracscript/trunk/INSTALL	(revision 16)
@@ -1,38 +1,47 @@
+= Installation and Configuration of email2trac =
+
 The email2trac package contains the following utilities:
- - email2trac.py:
-    Converts an email to ticket. Reads a config file email2trac.conf
- - run_email2trac.c:
-    Suid program that changes the MTA-user to the TRAC-user so that we can 
-    save attachments
- - delete_spam.py:
-    A small program that deletes the SPAM tickets from the database
- - email2trac.conf:
-    Is read by email2trac.py to set the various options. This are the options:
-    [DEFAULT]               # REQUIRED
-    project: /data/trac/bas # REQUIRED
-    debug: 1                # OPTIONAL, if set print some DEBUG info 
-    spam_level: 4           # OPTIONAL, if set check for SPAM mail 
-    reply_address: 1        # OPTIONAL, if set then fill in ticket CC field
-    umask: 022              # OPTIONAL, Use this umask for saving attachments
-    mailto_link: 1          # OPTIONAL, if set then [mailto:<CC>] in description
-    email_header: 1         # OPTIONAL, if set then show TO/CC fields in description
-    trac_version: 0.8	    # OPTIONAL, if set use this as trac version
+ * '''email2trac.py''' : converts an email to ticket. Reads a config file email2trac.conf
+ * '''run_email2trac.c''' : suid program that changes the MTA-user to the TRAC-user so that we can save attachments
+ * '''delete_spam.py''' : small program that deletes the SPAM tickets from the database
+ * '''email2trac.conf''' : read by email2trac.py to set the various options. This are the options:
+{{{
+    [DEFAULT]			# REQUIRED
+    project_root: /data/trac	# REQUIRED if project: doesn't specify a project 
+				# full path, else OPTIONAL
+    project: bas 		# OPTIONAL if project_root: present, 
+				# else REQUIRED and MUST specify a project full path
+    debug: 1			# OPTIONAL, if set print some DEBUG info
+    spam_level: 4		# OPTIONAL, if set check for SPAM mail 
+    reply_address: 1		# OPTIONAL, if set then fill in ticket CC field
+    umask: 022			# OPTIONAL, Use this umask for saving attachments
+    mailto_link: 1		# OPTIONAL, if set then [mailto:<CC>] in description
+    email_header: 1		# OPTIONAL, if set then show TO/CC fields in description
+    trac_version: 0.8		# OPTIONAL, if set use this as trac version (D: 0.9)
+}}}
 
+== Installation and Configuration ==
 
-SETUP
-=====
+First build, install email2trac :
 
-It depends on your MTA how the setup is. Below is an example of the SARA setup
-that uses postfix as our MTA.  
-  - Edit Makefile, adjust the variables
-  - make
-  - make install
-  - Copy email2trac.conf to /etc  (default location for email2trac.py)
-    If different location use the "-f <config file> or --file=<config file>" to run_email2trac
+  * Edit Makefile, adjust the variables (in particular INSTALL_DIR, MTA_USER and TRAC_USER)
+  * make
+  * make install
+  * Define a symlink /etc/email2trac.conf referencing $INSTALL_DIR/email2trac.conf
 
-  - vi /etc/aliases
-     bas: |/usr/sbin/run_email2trac [-f <config file>| --file=<config file>]
+ After installatin, edit email2trac.conf for your site. Most important parameters are project_root: and project:. project: defines a default project, when project_root: is specified.
 
-  - newaliases
-  - Test
-     mail bas < test7.eml
+== Usage ==
+
+It depends on your MTA how the setup is. For Sendmail and Postfix, the procedure is the same :
+
+ * Edit your alias definition file (default : /etc/aliases for Postfix, /etc/mail/aliases for Sendmail) and add one line per project/component you want to allow ticket submission from email to. For each alias, you can specify option --project to specify a project other than the default configured inside the configuration file (project must be located below ''project_root'') and option ''--component'' to specify a component other than the default component for the project. Line must have the following format :
+{{{
+     tracproj: |/usr/sbin/run_email2trac [--project=<project_name>] [--component=<project_component>]
+}}}
+
+  * Update your alias database with command ''newaliases''
+  *  Test with a command like :
+{{{
+     mail tracproj < test7.eml
+}}}